Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Argus::IEventQueue Member List

This is the complete list of members for Argus::IEventQueue, including all inherited members.

getEvent(uint32_t index) const =0 | Argus::IEventQueue | pure virtual
getEventTypes(std::vector< EventType > *types) const =0 | Argus::IEventQueue | pure virtual
getNextEvent()=0 | Argus::IEventQueue | pure virtual
getSize() const =0 | Argus::IEventQueue | pure virtual
id() | Argus::IEventQueue | inlinestatic
Interface() | Argus::Interface | inlineprotected
~IEventQueue() | Argus::IEventQueue | inlineprotected
~Interface() | Argus::Interface | inlineprotected